Breakdown Data
This endpoint retrieves breakdown data of the given metrics by given breakdown field
Body
application/json
- Type: array object[] 1…3breakdownsrequired
Breakdown fields and metrics to retrieve data for. Supports 1 to 3 breakdowns per request.
- Type: objectdate
_range requiredThe timeframe to get the data for. Currently, we only support a maximum of 60 days between
start_atandend_at. - Type: stringworkspace
_id requiredThe five to ten character unique identifier of the Gumlet workspace ID available on the Video Workspaces.
- Type: array object[]filters
Build segments of users using multiple filters on the data,
valueshould be an exact match
Responses
- application/json
- application/json
- application/json
Request Example for post/insights/breakdown-data
curl https://api.gumlet.com/v1/insights/breakdown-data \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"date_range": {
"start_at": "2026-07-20",
"end_at": "2026-08-20"
},
"filters": [],
"breakdowns": [
{
"name": "custom_video_id",
"metric": "views",
"page": 1,
"page_size": 10
},
{
"name": "custom_video_title",
"metric": "completion_percent_by_views",
"page": 1,
"page_size": 10
}
],
"workspace_id": "6694c405e63913eecf3cf5fb"
}'
{
"views": {
"data": [
{
"key": "6710e83eb340677d98c71df7",
"value": 253,
"unit": "views"
},
{
"key": "6710e83eb340677d98c71dd8",
"value": 120,
"unit": "views"
}
],
"has_next_page": true,
"current_page": 1
}
}
